# Uses of Interface
org.apache.sling.api.SlingJakartaHttpServletRequest

Packages that use SlingJakartaHttpServletRequest
Package
Description
org.apache.sling.api.request
org.apache.sling.api.request.builder
org.apache.sling.api.scripting
org.apache.sling.api.servlets
org.apache.sling.api.uri
org.apache.sling.api.wrappers

## Uses of SlingJakartaHttpServletRequest in org.apache.sling.api.request

Methods in org.apache.sling.api.request with parameters of type SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`static boolean`
RequestUtil.`handleIfModifiedSince(@NotNull SlingJakartaHttpServletRequest req, @NotNull jakarta.servlet.http.HttpServletResponse resp)`
Checks if the request contains a if-last-modified-since header and if the the request's underlying resource has a jcr:lastModified property.

## Uses of SlingJakartaHttpServletRequest in org.apache.sling.api.request.builder

Methods in org.apache.sling.api.request.builder that return SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`@NotNull SlingJakartaHttpServletRequest`
SlingHttpServletRequestBuilder.`buildJakartaRequest()`
Builds the request.
Methods in org.apache.sling.api.request.builder with parameters of type SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`@NotNull SlingHttpServletRequestBuilder`
SlingHttpServletRequestBuilder.`useRequestDispatcherFrom(SlingJakartaHttpServletRequest request)`
Uses the request dispatcher from the provided request.

## Uses of SlingJakartaHttpServletRequest in org.apache.sling.api.scripting

Methods in org.apache.sling.api.scripting that return SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`@Nullable SlingJakartaHttpServletRequest`
SlingBindings.`getJakartaRequest()`
Returns the `SlingBindings.JAKARTA_REQUEST` property if not `null` and a `SlingJakartaHttpServletRequest` instance.
`@NotNull SlingJakartaHttpServletRequest`
SlingScriptHelper.`getJakartaRequest()`
Returns the `SlingJakartaHttpServletRequest` representing the input of the request.
Methods in org.apache.sling.api.scripting with parameters of type SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`void`
SlingBindings.`setJakartaRequest(SlingJakartaHttpServletRequest request)`
Sets the `SlingBindings.JAKARTA_REQUEST` property to `request` if not `null`.

## Uses of SlingJakartaHttpServletRequest in org.apache.sling.api.servlets

Methods in org.apache.sling.api.servlets with parameters of type SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`boolean`
JakartaOptingServlet.`accepts(@NotNull SlingJakartaHttpServletRequest request)`
Examines the request, and return `true` if this servlet is willing to handle the request.
`protected void`
SlingJakartaAllMethodsServlet.`doDelete(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Called by the `SlingJakartaAllMethodsServlet.mayService(SlingJakartaHttpServletRequest, SlingJakartaHttpServletResponse)` method to handle an HTTP DELETE request.
`protected void`
SlingJakartaSafeMethodsServlet.`doGeneric(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Called by the `SlingJakartaSafeMethodsServlet.service(SlingJakartaHttpServletRequest, SlingJakartaHttpServletResponse)` method to handle a request for an HTTP method, which is not known and handled by this class or its extension.
`protected void`
SlingJakartaSafeMethodsServlet.`doGet(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Called by the `SlingJakartaSafeMethodsServlet.mayService(SlingJakartaHttpServletRequest, SlingJakartaHttpServletResponse)` method to handle an HTTP GET request.
`protected void`
SlingJakartaSafeMethodsServlet.`doHead(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Handles the HEAD method.
`protected void`
SlingJakartaSafeMethodsServlet.`doOptions(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Handles the OPTIONS method by setting the HTTP `Allow` header on the response depending on the methods declared in this class.
`protected void`
SlingJakartaAllMethodsServlet.`doPost(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Called by the `SlingJakartaAllMethodsServlet.mayService(SlingJakartaHttpServletRequest, SlingJakartaHttpServletResponse)` method to handle an HTTP POST request.
`protected void`
SlingJakartaAllMethodsServlet.`doPut(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Called by the `SlingJakartaAllMethodsServlet.mayService(SlingJakartaHttpServletRequest, SlingJakartaHttpServletResponse)` method to handle an HTTP PUT request.
`protected void`
SlingJakartaSafeMethodsServlet.`doTrace(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Handles the TRACE method by just returning the list of all header values in the response body.
`void`
JakartaErrorHandler.`handleError(int status, String message, SlingJakartaHttpServletRequest request, SlingJakartaHttpServletResponse response)`
Called to render a response for a HTTP status code.
`void`
JakartaErrorHandler.`handleError(Throwable throwable, SlingJakartaHttpServletRequest request, SlingJakartaHttpServletResponse response)`
Called to render a response for an uncaught `Throwable`.
`protected void`
SlingJakartaSafeMethodsServlet.`handleMethodNotImplemented(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Helper method which causes an appropriate HTTP response to be sent for an unhandled HTTP request method.
`protected boolean`
SlingJakartaAllMethodsServlet.`mayService(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Tries to handle the request by calling a Java method implemented for the respective HTTP request method.
`protected boolean`
SlingJakartaSafeMethodsServlet.`mayService(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Tries to handle the request by calling a Java method implemented for the respective HTTP request method.
`@Nullable jakarta.servlet.Servlet`
ServletResolver.`resolve(@NotNull SlingJakartaHttpServletRequest request)`
Resolves a `jakarta.servlet.Servlet` whose `service` method may be used to handle the given `request`.
`protected void`
SlingJakartaSafeMethodsServlet.`service(@NotNull SlingJakartaHttpServletRequest request, @NotNull SlingJakartaHttpServletResponse response)`
Called by the `SlingJakartaSafeMethodsServlet.service(ServletRequest, ServletResponse)` method to handle the HTTP request.

## Uses of SlingJakartaHttpServletRequest in org.apache.sling.api.uri

Methods in org.apache.sling.api.uri with parameters of type SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`static @NotNull SlingUriBuilder`
SlingUriBuilder.`createFrom(@NotNull SlingJakartaHttpServletRequest request)`
Creates a builder from a request.

## Uses of SlingJakartaHttpServletRequest in org.apache.sling.api.wrappers

Classes in org.apache.sling.api.wrappers that implement SlingJakartaHttpServletRequest
Modifier and Type
Class
Description
`class`
`JavaxToJakartaRequestWrapper`
Wrapper for `SlingHttpServletRequest` to adapt it to the Jakarta Servlet API.
`class`
`SlingJakartaHttpServletRequestWrapper`
The `SlingJakartaHttpServletRequestWrapper` class is a default wrapper class around a `SlingJakartaHttpServletRequest` which may be extended to amend the functionality of the original request object.
Methods in org.apache.sling.api.wrappers that return SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`SlingJakartaHttpServletRequest`
SlingJakartaHttpServletRequestWrapper.`getSlingRequest()`
Return the original `SlingJakartaHttpServletRequest` object wrapped by this.
`static @Nullable SlingJakartaHttpServletRequest`
JavaxToJakartaRequestWrapper.`toJakartaRequest(@Nullable SlingHttpServletRequest request)`
Create a new wrapper
Methods in org.apache.sling.api.wrappers with parameters of type SlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`boolean`
JavaxToJakartaServletWrapper.JavaxToJakartaOptingServletWrapper.`accepts(@NotNull SlingJakartaHttpServletRequest request)`
`static @Nullable SlingHttpServletRequest`
JakartaToJavaxRequestWrapper.`toJavaxRequest(@Nullable SlingJakartaHttpServletRequest request)`
Create a new wrapper
Constructors in org.apache.sling.api.wrappers with parameters of type SlingJakartaHttpServletRequest
Modifier
Constructor
Description
``
`JakartaToJavaxRequestWrapper(SlingJakartaHttpServletRequest wrappedRequest)`
``
`SlingJakartaHttpServletRequestWrapper(SlingJakartaHttpServletRequest wrappedRequest)`
Create a wrapper for the supplied wrappedRequest